ConnectCloud Developers

Get the object an instance belongs to (tenant:access)

GET /api/workflow/v1/tasks/{instanceId}/metadata

Module: Workflow · operationId: getTaskMetadata · Tag: Tasks · Auth: access token (Authorization: Bearer <accessToken>)

Parameters

Name In Type Required Description
instanceId path string (uuid) yes Instance id (guid)

Responses

  • 200 Metadata (application/json)
  • 401 Missing or invalid token (unauthorized) (application/json)
  • 403 Error (application/json)
  • 404 Error (application/json)

Fields of the 200 answer:

  • guid (string (uuid)): Instance id
  • objectNumber (string): Transaction number
  • objectType (string): Object type of the trigger

Example 200 answer:

{
  "guid": "3f9c2a1e-8b7d-4c6e-a5f4-1d2b3c4e5f60",
  "objectNumber": "ER-2026-00042",
  "objectType": "transaction"
}

Example request

curl -X GET 'https://api.mbcom.cloud/api/workflow/v1/tasks/3f9c2a1e-8b7d-4c6e-a5f4-1d2b3c4e5f60/metadata' \
  -H "Authorization: Bearer $ACCESS_TOKEN"

View as Markdown · Interactive reference · OpenAPI